Page MenuHomePhabricator

ecore_audio: implement not implemented APIs as empty
ClosedPublic

Authored by bu5hm4n on Jan 21 2019, 6:44 AM.

Details

Summary

the empty handlers will always return 0 / NULL so never indicate
success.

Depends on D7731

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 21 2019, 6:44 AM
bu5hm4n requested review of this revision.Jan 21 2019, 6:44 AM
bu5hm4n updated this revision to Diff 18689.Jan 22 2019, 8:18 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase.

bu5hm4n updated this revision to Diff 18720.Jan 23 2019, 6:49 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

bu5hm4n updated this revision to Diff 18722.Jan 23 2019, 6:49 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

segfaultxavi accepted this revision.Jan 23 2019, 7:08 AM

Seems harmless enough...

This revision is now accepted and ready to land.Jan 23 2019, 7:08 AM
Closed by commit rEFLdfb87fcff10e: ecore_audio: implement not implemented APIs as empty (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 23 2019, 7:43 AM
This revision was automatically updated to reflect the committed changes.